

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  <meta content="Shyft: The Open Source Toolbox for Energy Markets" name="description" />
<meta content="Shyft, Hydrology, Time Series, Timeseries, Bokeh, Statkraft, Oslo, University, Energy, Market" name="keywords" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Shyft: The Open Source Toolbox for Energy Markets &mdash; Documentation</title>
  

  
  
    <link rel="shortcut icon" href="_static/favicon.ico"/>
  
  
  

  
  <script type="text/javascript" src="_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
        <script crossorigin="anonymous" integrity="sha256-Ae2Vz/4ePdIu6ZyI/5ZGsYnb+m0JlOmKPjt6XZ9JJkA=" src="https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js"></script>
        <script src="_static/js/bootstrap.min.js"></script>
        <script src="_static/js/bootstrap.bundle.min.js"></script>
        <script src="_static/js/custom.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
  <link rel="stylesheet" href="_static/css/bootstrap.min.css" type="text/css" />
  <link rel="stylesheet" href="_static/css/bootstrap-grid.min.css" type="text/css" />
  <link rel="stylesheet" href="_static/css/custom.css" type="text/css" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="What is Shyft?" href="content/project/what_is_shyft.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="#" class="icon icon-home"> Shyft
          

          
          </a>

          
            
            
              <div class="version">
                4.12
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">Project</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/project/what_is_shyft.html">What is Shyft?</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/project/get_involved.html">Get involved</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/project/contact.html">Contact</a></li>
</ul>
<p class="caption"><span class="caption-text">Time Series</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Hydrology</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Energy Market</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Dashboard</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/api.html">API Documentation</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="#">Shyft</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="#">Docs</a> &raquo;</li>
        
      <li>Shyft: The Open Source Toolbox for Energy Markets</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="_sources/index.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  
<style>
/* CSS overrides for sphinx_rtd_theme */

/* 24px margin */
.nbinput.nblast.container,
.nboutput.nblast.container {
    margin-bottom: 19px;  /* padding has already 5px */
}

/* ... except between code cells! */
.nblast.container + .nbinput.container {
    margin-top: -19px;
}

.admonition > p:before {
    margin-right: 4px;  /* make room for the exclamation icon */
}

/* Fix math alignment, see https://github.com/rtfd/sphinx_rtd_theme/pull/686 */
.math {
    text-align: unset;
}
</style>
<div class="section" id="shyft-the-open-source-toolbox-for-energy-markets">
<h1>Shyft: The Open Source Toolbox for Energy Markets<a class="headerlink" href="#shyft-the-open-source-toolbox-for-energy-markets" title="Permalink to this headline">¶</a></h1>
<p>This document was last updated on 2021-06-17.</p>
<p>The open source SHyFT project contains four individual Python packages:</p>
<ol class="arabic simple">
<li><p><code class="docutils literal notranslate"><span class="pre">shyft.hydrology</span></code> which provides spatially distributed conceptual hydrologic models</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">shyft.energy-market</span></code> which provides elements to build an energy market model</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">shyft.time-series</span></code> which provides a high performance generic time-series framework</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">shyft.dashboard</span></code> which provides web components to display time series using <a class="reference external" href="https://bokeh.org/">Bokeh</a>.</p></li>
</ol>
<div class="toctree-wrapper compound">
<p class="caption"><span class="caption-text">Project</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/project/what_is_shyft.html">What is Shyft?</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/project/get_involved.html">Get involved</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/project/contact.html">Contact</a></li>
</ul>
</div>
<div class="toctree-wrapper compound">
<p class="caption"><span class="caption-text">Time Series</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/concepts.html">Concepts</a><ul>
<li class="toctree-l2"><a class="reference internal" href="content/time_series/concepts/time.html">Dealing with time</a><ul>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/concepts/time.html#utc-gmt-and-dst">UTC / GMT and DST</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/concepts/time.html#epoch-timestamp">Epoch Timestamp</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/concepts/time.html#python-datetime-vs-epoch">Python datetime vs. epoch</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="content/time_series/concepts/time_series.html">What is a time series?</a></li>
<li class="toctree-l2"><a class="reference internal" href="content/time_series/concepts/expressions.html">Time series expressions</a></li>
<li class="toctree-l2"><a class="reference internal" href="content/time_series/concepts/dts.html">DTSS - Distributed Time Series System</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/getting_started.html">Getting started</a><ul>
<li class="toctree-l2"><a class="reference internal" href="content/time_series/getting_started/time.html">Time</a><ul>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/getting_started/time.html#create-a-time-object">Create a time object</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/getting_started/time.html#using-a-time-object">Using a time object</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/getting_started/time.html#containers">Containers</a><ul>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/getting_started/time.html#utcperiod">UtcPeriod</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/getting_started/time.html#ymdhms">YMDhms</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/getting_started/time.html#ywdhms">YWdhms</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="content/time_series/getting_started/calendar.html">Calendar</a><ul>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/getting_started/calendar.html#create-a-calendar-object">Create a Calendar object</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/getting_started/calendar.html#calendar-and-time">Calendar and time</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/getting_started/calendar.html#python-datetime-to-shyft-time">Python datetime to Shyft time</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="content/time_series/getting_started/time_axis.html">TimeAxis</a><ul>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/getting_started/time_axis.html#create-a-timeaxis-object">Create a TimeAxis object</a><ul>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/getting_started/time_axis.html#fixed-interval-time-axis">Fixed interval time axis</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/getting_started/time_axis.html#ireggular-interval-time-axis">Ireggular interval time axis</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/getting_started/time_axis.html#calendar-time-axis">Calendar time axis</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/getting_started/time_axis.html#a-few-helpful-functions">A few helpful functions</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="content/time_series/getting_started/time_series.html">TimeSeries</a><ul>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/getting_started/time_series.html#time-series-types">Time series types</a><ul>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/getting_started/time_series.html#point-instant-value"><code class="docutils literal notranslate"><span class="pre">POINT_INSTANT_VALUE</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/getting_started/time_series.html#point-average-value"><code class="docutils literal notranslate"><span class="pre">POINT_AVERAGE_VALUE</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/getting_started/time_series.html#inspection-functions">Inspection functions</a><ul>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/getting_started/time_series.html#timeseries-t-int-float-time">TimeSeries(t: int/float/time)</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/getting_started/time_series.html#point-interpretation">point_interpretation()</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/getting_started/time_series.html#size">size()</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/getting_started/time_series.html#time-axis">time_axis</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/getting_started/time_series.html#values-to-numpy">values.to_numpy()</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/getting_started/time_series.html#general-time-series-manipulation">General time series manipulation</a><ul>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/getting_started/time_series.html#arithmetics">Arithmetics</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/getting_started/time_series.html#mathematical-operations">Mathematical operations</a><ul>
<li class="toctree-l5"><a class="reference internal" href="content/time_series/getting_started/time_series.html#average">Average</a></li>
<li class="toctree-l5"><a class="reference internal" href="content/time_series/getting_started/time_series.html#accumulate">Accumulate</a></li>
<li class="toctree-l5"><a class="reference internal" href="content/time_series/getting_started/time_series.html#derivative">Derivative</a></li>
<li class="toctree-l5"><a class="reference internal" href="content/time_series/getting_started/time_series.html#integral">Integral</a></li>
<li class="toctree-l5"><a class="reference internal" href="content/time_series/getting_started/time_series.html#statistics">Statistics</a></li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/getting_started/time_series.html#utility-functions">Utility functions</a><ul>
<li class="toctree-l5"><a class="reference internal" href="content/time_series/getting_started/time_series.html#inside">Inside</a></li>
<li class="toctree-l5"><a class="reference internal" href="content/time_series/getting_started/time_series.html#max-min">Max/min</a></li>
<li class="toctree-l5"><a class="reference internal" href="content/time_series/getting_started/time_series.html#time-shift">Time shift</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="content/time_series/getting_started/dts.html">Distributed Time Series (DTS)</a><ul>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/getting_started/dts.html#dtsserver">DtsServer</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/getting_started/dts.html#dtsclient">DtsClient</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="content/time_series/getting_started/notebooks.html">Examples</a><ul>
<li class="toctree-l3"><a class="reference internal" href="notebooks/time_series/convolve.html">ts.convolve_w</a><ul>
<li class="toctree-l4"><a class="reference internal" href="notebooks/time_series/convolve.html#ts.convolve_w(weights,-convolve_policy)-function">ts.convolve_w(weights, convolve_policy) function</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="notebooks/time_series/decode.html">ts.decode</a><ul>
<li class="toctree-l4"><a class="reference internal" href="notebooks/time_series/decode.html#ts.decode(start_bit=n,-n_bits=nb)">ts.decode(start_bit=n, n_bits=nb)</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="notebooks/time_series/derivative.html">ts.derivative</a><ul>
<li class="toctree-l4"><a class="reference internal" href="notebooks/time_series/derivative.html#ts.derivative()">ts.derivative()</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="notebooks/time_series/inside.html">ts.inside</a><ul>
<li class="toctree-l4"><a class="reference internal" href="notebooks/time_series/inside.html#ts.inside(min_v,-max_v,-nan_v,-inside_v,-outside_v)">ts.inside(min_v, max_v, nan_v, inside_v, outside_v)</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="notebooks/time_series/partition_by_and_percentiles.html">ts.partition_by and ts.percentiles</a></li>
<li class="toctree-l3"><a class="reference internal" href="notebooks/time_series/dtss-krls-container.html">KRLS predictor using DTSS containers</a><ul>
<li class="toctree-l4"><a class="reference internal" href="notebooks/time_series/dtss-krls-container.html#Introduction">Introduction</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/time_series/dtss-krls-container.html#0.-Setup-the-demo">0. Setup the demo</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/time_series/dtss-krls-container.html#1.-Register-a-KRLS-time-series">1. Register a KRLS time-series</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/time_series/dtss-krls-container.html#2.-Predict-a-time-series">2. Predict a time-series</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/time_series/dtss-krls-container.html#3.-Update-the-trained-period">3. Update the trained period</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/time_series/dtss-krls-container.html#4.-Repredict">4. Repredict</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/api.html">API Documentation</a><ul>
<li class="toctree-l2"><a class="reference internal" href="content/time_series/api.html#time">Time</a><ul>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#function-utctime-now">Function utctime_now</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#function-deltahours">Function deltahours</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#function-deltaminutes">Function deltaminutes</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#class-time">Class time</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#class-ymdhms">Class YMDhms</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#class-ywdhms">Class YWdhms</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#class-tzinfo">Class TzInfo</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#class-calendar">Class Calendar</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#class-utcperiod">Class UtcPeriod</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#class-utctimevector">Class UtcTimeVector</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="content/time_series/api.html#time-series">Time series</a><ul>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#class-timeaxis">Class TimeAxis</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#class-timeseries">Class TimeSeries</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#class-tsvector">Class TsVector</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="content/time_series/api.html#time-series-expressions">Time series expressions</a><ul>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#class-tsbindinfo">Class TsBindInfo</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="content/time_series/api.html#dtss-the-distributed-time-series-system">DTSS - The Distributed Time series System</a><ul>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#class-dtsserver">Class DtsServer</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#class-dtsclient">Class DtsClient</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#class-tsinfo">Class TsInfo</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#class-cachestats">Class CacheStats</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="content/time_series/api.html#geo-location-time-series">Geo-location Time series</a><ul>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#class-geopoint">Class GeoPoint</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#class-geotimeseries">Class GeoTimeSeries</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#class-geotimeseriesvector">Class GeoTimeSeriesVector</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#class-geoquery">Class GeoQuery</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#class-geoslice">Class GeoSlice</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#class-geotsmatrix">Class GeoTsMatrix</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#class-geomatrixshape">Class GeoMatrixShape</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#class-geogridspec">Class GeoGridSpec</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#class-geoevalargs">Class GeoEvalArgs</a></li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#class-geotimeseriesconfiguration">Class GeoTimeSeriesConfiguration</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="content/time_series/api.html#working-with-time-series">Working with time series</a><ul>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#policies">Policies</a><ul>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/api.html#class-convolve-policy">Class convolve_policy</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/api.html#class-derivative-method">Class derivative_method</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/api.html#class-extend-fill-policy">Class extend_fill_policy</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/api.html#class-extend-split-policy">Class extend_split_policy</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/api.html#class-interpolation-scheme">Class interpolation_scheme</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/api.html#class-point-interpretation-policy">Class point_interpretation_policy</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/api.html#class-trim-policy">Class trim_policy</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#tools">Tools</a><ul>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/api.html#class-krlsrbfpredictor">Class KrlsRbfPredictor</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/api.html#class-qacparameter">Class QacParameter</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="content/time_series/api.html#hydrology">Hydrology</a><ul>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/api.html#class-icepackingparameters">Class IcePackingParameters</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/api.html#class-icepackingrecessionparameters">Class IcePackingRecessionParameters</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/api.html#class-ice-packing-temperature-policy">Class ice_packing_temperature_policy</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/api.html#class-ratingcurvefunction">Class RatingCurveFunction</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/api.html#class-ratingcurveparameters">Class RatingCurveParameters</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/api.html#class-ratingcurvesegment">Class RatingCurveSegment</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/api.html#class-ratingcurvesegments">Class RatingCurveSegments</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/api.html#class-ratingcurvetimefunction">Class RatingCurveTimeFunction</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/time_series/api.html#class-ratingcurvetimefunctions">Class RatingCurveTimeFunctions</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="toctree-wrapper compound">
<p class="caption"><span class="caption-text">Hydrology</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/concepts.html">Concepts</a><ul>
<li class="toctree-l2"><a class="reference internal" href="content/hydrology/concepts.html#hydrological-region-model">Hydrological region model</a></li>
<li class="toctree-l2"><a class="reference internal" href="content/hydrology/concepts.html#orchestration">Orchestration</a><ul>
<li class="toctree-l3"><a class="reference internal" href="content/hydrology/concepts.html#repositories">Repositories</a><ul>
<li class="toctree-l4"><a class="reference internal" href="content/hydrology/concepts.html#the-generic-repository">The <cite>generic</cite> repository</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/hydrology/concepts.html#the-repository-entries-in-datasets-yaml">The ‘repository’ entries in ‘datasets.yaml’</a></li>
<li class="toctree-l4"><a class="reference internal" href="content/hydrology/concepts.html#the-repository-entry-in-configuration-yaml">The ‘repository’ entry in ‘configuration.yaml’</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="content/hydrology/concepts.html#summary">Summary</a></li>
<li class="toctree-l2"><a class="reference internal" href="content/hydrology/concepts.html#what-is-a-repository">What is a repository?</a></li>
<li class="toctree-l2"><a class="reference internal" href="content/hydrology/concepts.html#configuring-shyft">Configuring Shyft</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/getting_started.html">Getting started</a><ul>
<li class="toctree-l2"><a class="reference internal" href="content/hydrology/getting_started.html#general-examples">General examples</a><ul>
<li class="toctree-l3"><a class="reference internal" href="notebooks/api/api-intro.html">The Shyft <code class="docutils literal notranslate"><span class="pre">api</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="notebooks/api/api-intro.html#Introduction">Introduction</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/api/api-intro.html#1.-Loading-required-python-modules-and-setting-path-to-SHyFT-installation">1. Loading required python modules and setting path to SHyFT installation</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/api/api-intro.html#2.-Build-a-Shyft-model">2. Build a Shyft model</a><ul>
<li class="toctree-l5"><a class="reference internal" href="notebooks/api/api-intro.html#The-simulation-domain">The simulation domain</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/api/api-intro.html#Create-a-collection-of-simulation-cells">Create a collection of simulation cells</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/api/api-intro.html#GeoCellDataVector"><code class="docutils literal notranslate"><span class="pre">GeoCellDataVector</span></code></a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/api/api-intro.html#The-model-class">The <code class="docutils literal notranslate"><span class="pre">model</span></code> class</a></li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/api/api-intro.html#3.-Read-forcing-data">3. Read forcing data</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/api/api-intro.html#4.-Interpolate-forcing-data-to-the-cells">4. Interpolate forcing data to the cells</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/api/api-intro.html#5.-Conduct-the-simulation">5. Conduct the simulation</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/api/api-intro.html#6.-Take-a-look-at-simulation-results">6. Take a look at simulation results</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="notebooks/api/api-essentials.html">Essential <code class="docutils literal notranslate"><span class="pre">api</span></code> classes</a><ul>
<li class="toctree-l4"><a class="reference internal" href="notebooks/api/api-essentials.html#Introduction">Introduction</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/api/api-essentials.html#0.-Loading-required-python-modules-and-running-a-configured-shyft-simulation">0. Loading required python modules and running a configured shyft simulation</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/api/api-essentials.html#1.-The-key-classes-within-the-api-and-being-“pythonic”">1. The key classes within the <code class="docutils literal notranslate"><span class="pre">api</span></code> and being “pythonic”</a><ul>
<li class="toctree-l5"><a class="reference internal" href="notebooks/api/api-essentials.html#IntVector,-and-other----Vector-types"><code class="docutils literal notranslate"><span class="pre">IntVector</span></code>, and other <code class="docutils literal notranslate"><span class="pre">---Vector</span></code> types</a></li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/api/api-essentials.html#1.-shyft.time_series.TimeSeries">1. <code class="docutils literal notranslate"><span class="pre">shyft.time_series.TimeSeries</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="notebooks/repository/repositories-intro.html">Exposing the API</a><ul>
<li class="toctree-l4"><a class="reference internal" href="notebooks/repository/repositories-intro.html#Introduction">Introduction</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/repository/repositories-intro.html#1.-Loading-required-python-modules-and-setting-path-to-SHyFT-installation">1. Loading required python modules and setting path to SHyFT installation</a><ul>
<li class="toctree-l5"><a class="reference internal" href="notebooks/repository/repositories-intro.html#The-Shyft-Environment">The Shyft Environment</a></li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/repository/repositories-intro.html#2.-A-Shyft-simulation">2. A Shyft simulation</a><ul>
<li class="toctree-l5"><a class="reference internal" href="notebooks/repository/repositories-intro.html#Orchestration-and-Repositories">Orchestration and Repositories</a><ul>
<li class="toctree-l6"><a class="reference internal" href="notebooks/repository/repositories-intro.html#Interfaces">Interfaces</a></li>
</ul>
</li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/repository/repositories-intro.html#Initial-Configuration">Initial Configuration</a><ul>
<li class="toctree-l6"><a class="reference internal" href="notebooks/repository/repositories-intro.html#region-specification">region specification</a></li>
<li class="toctree-l6"><a class="reference internal" href="notebooks/repository/repositories-intro.html#Model-specification">Model specification</a></li>
</ul>
</li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/repository/repositories-intro.html#The-region_model">The <code class="docutils literal notranslate"><span class="pre">region_model</span></code></a><ul>
<li class="toctree-l6"><a class="reference internal" href="notebooks/repository/repositories-intro.html#Exploring-the-region_model">Exploring the <code class="docutils literal notranslate"><span class="pre">region_model</span></code></a></li>
</ul>
</li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/repository/repositories-intro.html#Adding-forcing-data-to-the-region_model">Adding forcing data to the <code class="docutils literal notranslate"><span class="pre">region_model</span></code></a><ul>
<li class="toctree-l6"><a class="reference internal" href="notebooks/repository/repositories-intro.html#“Sources”">“Sources”</a></li>
<li class="toctree-l6"><a class="reference internal" href="notebooks/repository/repositories-intro.html#Data-Repositories">Data Repositories</a></li>
<li class="toctree-l6"><a class="reference internal" href="notebooks/repository/repositories-intro.html#Shyft-TimeAxis">Shyft <code class="docutils literal notranslate"><span class="pre">TimeAxis</span></code></a></li>
</ul>
</li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/repository/repositories-intro.html#Shyft-Interpolation">Shyft Interpolation</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/repository/repositories-intro.html#Conduct-the-simulation">Conduct the simulation</a></li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/repository/repositories-intro.html#3.-Simulation-results">3. Simulation results</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="notebooks/shyft-intro-course-master/run_api_model.html">Constructing a model using the Shyft API</a><ul>
<li class="toctree-l4"><a class="reference internal" href="notebooks/shyft-intro-course-master/run_api_model.html#INTRODUCTION">INTRODUCTION</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/shyft-intro-course-master/run_api_model.html#STEP-0:-LOAD-AND-PLOT-TEST-DATA">STEP 0: LOAD AND PLOT TEST DATA</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/shyft-intro-course-master/run_api_model.html#STEP-1:-CHOOSE-A-MODEL">STEP 1: CHOOSE A MODEL</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/shyft-intro-course-master/run_api_model.html#STEP-2:-DEFINE-THE-MODEL-DOMAIN">STEP 2: DEFINE THE MODEL DOMAIN</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/shyft-intro-course-master/run_api_model.html#STEP-3:-CONFIGURE-THE-MODEL">STEP 3: CONFIGURE THE MODEL</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/shyft-intro-course-master/run_api_model.html#STEP-4:-CONSTRUCT-THE-REGION-MODEL">STEP 4: CONSTRUCT THE REGION MODEL</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/shyft-intro-course-master/run_api_model.html#STEP-5:-FEED-FORCING-DATA-TO-THE-REGION-MODEL-BY-CONSTRUCTING-A-REGION-ENVIRONMENT">STEP 5: FEED FORCING DATA TO THE REGION MODEL BY CONSTRUCTING A REGION ENVIRONMENT</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/shyft-intro-course-master/run_api_model.html#STEP-6:-RUNNING-THE-MODEL">STEP 6: RUNNING THE MODEL</a><ul>
<li class="toctree-l5"><a class="reference internal" href="notebooks/shyft-intro-course-master/run_api_model.html#1.-The-starting-model-state:-updating-the-current-state-of-the-model">1. The starting model state: updating the current state of the model</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/shyft-intro-course-master/run_api_model.html#2.-Running-the-interpolation">2. Running the interpolation</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/shyft-intro-course-master/run_api_model.html#3.-Running-the-model">3. Running the model</a></li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/shyft-intro-course-master/run_api_model.html#STEP-7:-EXTRACTING-SIMULATION-RESULTS">STEP 7: EXTRACTING SIMULATION RESULTS</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/shyft-intro-course-master/run_api_model.html#STEP-8:-MODEL-CALIBRATION">STEP 8: MODEL CALIBRATION</a><ul>
<li class="toctree-l5"><a class="reference internal" href="notebooks/shyft-intro-course-master/run_api_model.html#You’re-done!-You-should-be-able-to-setup-your-own-Shyft-region-model,-calibrate-it,-and-access-simulated-data.-Try-it-out:">You’re done! You should be able to setup your own Shyft region model, calibrate it, and access simulated data. Try it out:</a></li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/shyft-intro-course-master/run_api_model.html#Exercise">Exercise</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="content/hydrology/getting_started.html#configured-simulation">Configured simulation</a><ul>
<li class="toctree-l3"><a class="reference internal" href="notebooks/nea-example/calibration-configured.html">Running a calibration with SHyFT</a><ul>
<li class="toctree-l4"><a class="reference internal" href="notebooks/nea-example/calibration-configured.html#This-notebook-is-guiding-through-the-simulation-process-of-a-catchment.-The-following-steps-are-described:">This notebook is guiding through the simulation process of a catchment. The following steps are described:</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/nea-example/calibration-configured.html#1.-Loading-required-python-modules-and-setting-path-to-SHyFT-installation">1. Loading required python modules and setting path to SHyFT installation</a><ul>
<li class="toctree-l5"><a class="reference internal" href="notebooks/nea-example/calibration-configured.html#The-Shyft-Environment">The Shyft Environment</a></li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/nea-example/calibration-configured.html#2.-Configuration-of-a-SHyFT-calibration">2. Configuration of a SHyFT calibration</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/nea-example/calibration-configured.html#3.-Running-a-SHyFT-calibration">3. Running a SHyFT calibration</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/nea-example/calibration-configured.html#4.-Inspecting-the-calibration-results">4. Inspecting the calibration results</a><ul>
<li class="toctree-l5"><a class="reference internal" href="notebooks/nea-example/calibration-configured.html#Plotting-simulated-and-observed-discharge">Plotting simulated and observed discharge</a></li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/nea-example/calibration-configured.html#5.-Changing-parameters-on-the-fly">5. Changing parameters on-the-fly</a><ul>
<li class="toctree-l5"><a class="reference internal" href="notebooks/nea-example/calibration-configured.html#5a.-Snow-or-rain?-The-parameter-gs.tx-sets-the-threshold-temperature-at-which-precipitation-is-treated-as-snow-fall.">5a. Snow or rain? The parameter gs.tx sets the threshold temperature at which precipitation is treated as snow fall.</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="notebooks/nea-example/simulation-configured.html">Configured Shyft simulations</a><ul>
<li class="toctree-l4"><a class="reference internal" href="notebooks/nea-example/simulation-configured.html#Introduction">Introduction</a><ul>
<li class="toctree-l5"><a class="reference internal" href="notebooks/nea-example/simulation-configured.html#This-notebook-briefly-runs-through-the-simulation-process-for-a-pre-configured-catchment.-The-following-steps-are-described:">This notebook briefly runs through the simulation process for a pre-configured catchment. The following steps are described:</a></li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/nea-example/simulation-configured.html#1.-Loading-required-python-modules-and-setting-path-to-SHyFT-installation">1. Loading required python modules and setting path to SHyFT installation</a><ul>
<li class="toctree-l5"><a class="reference internal" href="notebooks/nea-example/simulation-configured.html#The-Shyft-Environment">The Shyft Environment</a></li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/nea-example/simulation-configured.html#2.-Configuration-of-a-SHyFT-simulation">2. Configuration of a SHyFT simulation</a><ul>
<li class="toctree-l5"><a class="reference internal" href="notebooks/nea-example/simulation-configured.html#The-simulator-and-the-region_model">The simulator and the region_model</a></li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/nea-example/simulation-configured.html#3.-Running-a-SHyFT-simulation">3. Running a SHyFT simulation</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/nea-example/simulation-configured.html#4.-Post-processing-and-data-extraction">4. Post processing and data extraction</a><ul>
<li class="toctree-l5"><a class="reference internal" href="notebooks/nea-example/simulation-configured.html#Visualizing-the-discharge-for-each-[sub-]catchment">Visualizing the discharge for each [sub-]catchment</a><ul>
<li class="toctree-l6"><a class="reference internal" href="notebooks/nea-example/simulation-configured.html#Look-at-the-discharge-timeseries">Look at the discharge timeseries</a></li>
</ul>
</li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/nea-example/simulation-configured.html#Visualizing-the-distributed-catchment-data">Visualizing the distributed catchment data</a><ul>
<li class="toctree-l6"><a class="reference internal" href="notebooks/nea-example/simulation-configured.html#Extract-data-for-individual-simulation-cells">Extract data for individual simulation cells</a></li>
</ul>
</li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/nea-example/simulation-configured.html#Visualing-the-Snow-Cover-Area-of-all-cells-for-a-certain-point-in-time">Visualing the Snow Cover Area of all cells for a certain point in time</a><ul>
<li class="toctree-l6"><a class="reference internal" href="notebooks/nea-example/simulation-configured.html#A-note-about-the-geometry-of-the-region">A note about the geometry of the region</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="notebooks/nea-example/run_nea_nidelva.html">A first simulation with Shyft</a><ul>
<li class="toctree-l4"><a class="reference internal" href="notebooks/nea-example/run_nea_nidelva.html#Introduction">Introduction</a><ul>
<li class="toctree-l5"><a class="reference internal" href="notebooks/nea-example/run_nea_nidelva.html#This-notebook-briefly-runs-through-the-simulation-process-for-a-pre-configured-catchment.-The-following-steps-are-described:">This notebook briefly runs through the simulation process for a pre-configured catchment. The following steps are described:</a></li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/nea-example/run_nea_nidelva.html#1.-Loading-required-python-modules-and-setting-path-to-SHyFT-installation">1. Loading required python modules and setting path to SHyFT installation</a><ul>
<li class="toctree-l5"><a class="reference internal" href="notebooks/nea-example/run_nea_nidelva.html#The-Shyft-Environment">The Shyft Environment</a></li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/nea-example/run_nea_nidelva.html#2.-Configuration-of-a-SHyFT-simulation">2. Configuration of a SHyFT simulation</a><ul>
<li class="toctree-l5"><a class="reference internal" href="notebooks/nea-example/run_nea_nidelva.html#The-simulator-and-the-region_model">The simulator and the region_model</a></li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/nea-example/run_nea_nidelva.html#3.-Running-a-SHyFT-simulation">3. Running a SHyFT simulation</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/nea-example/run_nea_nidelva.html#4.-Post-processing-and-data-extraction">4. Post processing and data extraction</a><ul>
<li class="toctree-l5"><a class="reference internal" href="notebooks/nea-example/run_nea_nidelva.html#Visualizing-the-discharge-for-each-[sub-]catchment">Visualizing the discharge for each [sub-]catchment</a><ul>
<li class="toctree-l6"><a class="reference internal" href="notebooks/nea-example/run_nea_nidelva.html#A-preferred-approach">A preferred approach</a></li>
<li class="toctree-l6"><a class="reference internal" href="notebooks/nea-example/run_nea_nidelva.html#A-teaser-to-the-Shyft-API">A teaser to the Shyft API</a></li>
</ul>
</li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/nea-example/run_nea_nidelva.html#Visualizing-the-distributed-catchment-data">Visualizing the distributed catchment data</a><ul>
<li class="toctree-l6"><a class="reference internal" href="notebooks/nea-example/run_nea_nidelva.html#Extract-data-for-individual-simulation-cells">Extract data for individual simulation cells</a></li>
</ul>
</li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/nea-example/run_nea_nidelva.html#Visualing-the-Snow-Cover-Area-of-all-cells-for-a-certain-point-in-time">Visualing the Snow Cover Area of all cells for a certain point in time</a><ul>
<li class="toctree-l6"><a class="reference internal" href="notebooks/nea-example/run_nea_nidelva.html#A-note-about-the-geometry-of-the-region">A note about the geometry of the region</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="notebooks/nea-example/advanced_simulation.html">Simulation with the Shyft API</a><ul>
<li class="toctree-l4"><a class="reference internal" href="notebooks/nea-example/advanced_simulation.html#Introduction">Introduction</a><ul>
<li class="toctree-l5"><a class="reference internal" href="notebooks/nea-example/advanced_simulation.html#This-notebook-is-guiding-through-the-simulation-process-of-a-catchment.-The-following-steps-are-described:">This notebook is guiding through the simulation process of a catchment. The following steps are described:</a></li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/nea-example/advanced_simulation.html#1.-Loading-required-python-modules-and-setting-path-to-SHyFT-installation">1. Loading required python modules and setting path to SHyFT installation</a><ul>
<li class="toctree-l5"><a class="reference internal" href="notebooks/nea-example/advanced_simulation.html#The-Shyft-Environment">The Shyft Environment</a></li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/nea-example/advanced_simulation.html#2.-Shyft-initialization">2. Shyft initialization</a><ul>
<li class="toctree-l5"><a class="reference internal" href="notebooks/nea-example/advanced_simulation.html#Repositories">Repositories</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/nea-example/advanced_simulation.html#Creating-a-Shyft-source">Creating a Shyft source</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/nea-example/advanced_simulation.html#Look-at-the-data">Look at the data</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/nea-example/advanced_simulation.html#Create-api.TimeSeries">Create api.TimeSeries</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/nea-example/advanced_simulation.html#Exploring-the-Shyft-API">Exploring the Shyft API</a><ul>
<li class="toctree-l6"><a class="reference internal" href="notebooks/nea-example/advanced_simulation.html#The-concept-of-Shyft-repositories">The concept of Shyft repositories</a></li>
<li class="toctree-l6"><a class="reference internal" href="notebooks/nea-example/advanced_simulation.html#The-ARegionEnvironment-class">The ARegionEnvironment class</a></li>
<li class="toctree-l6"><a class="reference internal" href="notebooks/nea-example/advanced_simulation.html#Interpolation-Parameters">Interpolation Parameters</a></li>
</ul>
</li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/nea-example/advanced_simulation.html#Initialization-of-the-region_model">Initialization of the region_model</a><ul>
<li class="toctree-l6"><a class="reference internal" href="notebooks/nea-example/advanced_simulation.html#Summary">Summary</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="content/hydrology/getting_started.html#advanced-tools">Advanced tools</a><ul>
<li class="toctree-l3"><a class="reference internal" href="notebooks/grid-pp/gridpp_geopoints.html">Demonstration of SHyFT API implementation of Kalman Filtering on gridded data</a><ul>
<li class="toctree-l4"><a class="reference internal" href="notebooks/grid-pp/gridpp_geopoints.html#This-notebook-gives-an-example-of-Met.no-data-post-processing-to-correct-temperature-forecasts-based-on-comparison-to-observations.-The-following-steps-are-described:">This notebook gives an example of Met.no data post-processing to correct temperature forecasts based on comparison to observations. The following steps are described:</a><ul>
<li class="toctree-l5"><a class="reference internal" href="notebooks/grid-pp/gridpp_geopoints.html#1.-Loading-required-python-modules-and-setting-path-to-SHyFT-installation">1. Loading required python modules and setting path to SHyFT installation</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/grid-pp/gridpp_geopoints.html#setup:-1.-Generate-synthetic-data-for-temperature-observation-time-series">setup: 1. Generate synthetic data for temperature observation time-series</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/grid-pp/gridpp_geopoints.html#setup-2.-Transform-observation-with-bias-to-grid-using-kriging">setup 2. Transform observation with bias to grid using kriging</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/grid-pp/gridpp_geopoints.html#setup-3.-Create-3-forecasts-sets-for-the-1x1-km-grid">setup 3. Create 3 forecasts sets for the 1x1 km grid</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/grid-pp/gridpp_geopoints.html#grid-pp:-1.-Transform-forecasts-from-grid-to-observation-points-(IDW)">grid-pp: 1. Transform forecasts from grid to observation points (IDW)</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/grid-pp/gridpp_geopoints.html#grid-pp:-2.-Calculate-the-bias-time-series-using-Kalman-filter-on-the-observation-set">grid-pp: 2. Calculate the bias time-series using Kalman filter on the observation set</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/grid-pp/gridpp_geopoints.html#grid-pp:-3.-Spread-the-bias-at-observation-points-out-to-the-grid-using-kriging">grid-pp: 3. Spread the bias at observation points out to the grid using kriging</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/grid-pp/gridpp_geopoints.html#Presentation&amp;Test:-8.-Finally,-Transform-corrected-forecasts-from-grid-to-observation-points-to-see-if-we-did-reach-the-goal-of-adjusting-the-forecast-(IDW)">Presentation&amp;Test: 8. Finally, Transform corrected forecasts from grid to observation points to see if we did reach the goal of adjusting the forecast (IDW)</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/grid-pp/gridpp_geopoints.html#9.-Plot-the-results">9. Plot the results</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="notebooks/grid-pp/kalman_updating.html">This notebook sets up a Kalman filter and demonstrates how choice of parameters impact the updating</a></li>
<li class="toctree-l3"><a class="reference internal" href="notebooks/grid-pp/kalman_updating.html#1.-Loading-required-python-modules-and-setting-path-to-SHyFT-installation">1. Loading required python modules and setting path to SHyFT installation</a></li>
<li class="toctree-l3"><a class="reference internal" href="notebooks/grid-pp/kalman_updating.html#2.-Create-Kalman-filter">2. Create Kalman filter</a></li>
<li class="toctree-l3"><a class="reference internal" href="notebooks/grid-pp/kalman_updating.html#3.-Creates-start-states">3. Creates start states</a></li>
<li class="toctree-l3"><a class="reference internal" href="notebooks/grid-pp/kalman_updating.html#4.-Update-filter">4. Update filter</a></li>
<li class="toctree-l3"><a class="reference internal" href="notebooks/grid-pp/kalman_updating.html#5.-Plot-results">5. Plot results</a></li>
<li class="toctree-l3"><a class="reference internal" href="notebooks/grid-pp/kalman_updating.html#6.-Test-to-see-how-choice-of-parameters-impact-filter">6. Test to see how choice of parameters impact filter</a></li>
<li class="toctree-l3"><a class="reference internal" href="notebooks/grid-pp/ordinary_kriging_precipitation.html">Grid post-processing of Met.no data using SHyFT API</a><ul>
<li class="toctree-l4"><a class="reference internal" href="notebooks/grid-pp/ordinary_kriging_precipitation.html#This-notebook-gives-an-example-of-Met.no-data-post-processing-to-correct-temperature-forecasts-based-on-comparison-to-observations.-The-following-steps-are-described:">This notebook gives an example of Met.no data post-processing to correct temperature forecasts based on comparison to observations. The following steps are described:</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/grid-pp/ordinary_kriging_precipitation.html#1.-Loading-required-python-modules-and-setting-path-to-SHyFT-installation">1. Loading required python modules and setting path to SHyFT installation</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/grid-pp/ordinary_kriging_precipitation.html#2.-Create-synthetic-data-for-observation-time-series">2. Create synthetic data for observation time-series</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/grid-pp/ordinary_kriging_precipitation.html#3.-Create-synthetic-data-for-forecast-time-series">3. Create synthetic data for forecast time-series</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/grid-pp/ordinary_kriging_precipitation.html#4.-Calculate-correction-bias-between-observations-and-forecasts">4. Calculate correction bias between observations and forecasts</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/grid-pp/ordinary_kriging_precipitation.html#5.-Apply-bias-correction-to-forecast-time-series">5. Apply bias correction to forecast time-series</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/grid-pp/ordinary_kriging_precipitation.html#6.-Plot-the-results">6. Plot the results</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="notebooks/penman-monteith/penman-monteith-verification-single-method.html">Penman-Monteith Single Method Verification</a><ul>
<li class="toctree-l4"><a class="reference internal" href="notebooks/penman-monteith/penman-monteith-verification-single-method.html#24-hour-time-step">24-hour time-step</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/penman-monteith/penman-monteith-verification-single-method.html#1-hour-timestep">1-hour timestep</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="notebooks/penman-monteith/penman-monteith-sensitivity.html">Penman-Monteith Sensitivity</a><ul>
<li class="toctree-l4"><a class="reference internal" href="notebooks/penman-monteith/penman-monteith-sensitivity.html#The-function-to-run-the-1-hour-time-step-Penman-Monteith-equation-from-shyft">The function to run the 1-hour time-step Penman-Monteith equation from shyft</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/penman-monteith/penman-monteith-sensitivity.html#So-this-is-our-main-code-to-study-sensitivity">So this is our main code to study sensitivity</a><ul>
<li class="toctree-l5"><a class="reference internal" href="notebooks/penman-monteith/penman-monteith-sensitivity.html#Temperature-sensitivity">Temperature sensitivity</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/penman-monteith/penman-monteith-sensitivity.html#windspeed-sensitivity">windspeed sensitivity</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/penman-monteith/penman-monteith-sensitivity.html#Actual-vapor-pressure/relative-humidity">Actual vapor pressure/relative humidity</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/penman-monteith/penman-monteith-sensitivity.html#Rnet-sensitivity">Rnet sensitivity</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/penman-monteith/penman-monteith-sensitivity.html#Elevation">Elevation</a></li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/penman-monteith/penman-monteith-sensitivity.html#Sensitivity-to-parameters-we-will-study-using-FPM">Sensitivity to parameters we will study using FPM</a><ul>
<li class="toctree-l5"><a class="reference internal" href="notebooks/penman-monteith/penman-monteith-sensitivity.html#Vegetation-height">Vegetation height</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/penman-monteith/penman-monteith-sensitivity.html#Stomatal-resistance">Stomatal resistance</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/penman-monteith/penman-monteith-sensitivity.html#WS-measurements-height">WS measurements height</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/penman-monteith/penman-monteith-sensitivity.html#Temperature-and-humidity-measurements-height">Temperature and humidity measurements height</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="notebooks/radiation/polar_region_radiaiton.html">Checking calculation of Radiation at Polar Region</a></li>
<li class="toctree-l3"><a class="reference internal" href="notebooks/radiation/radiation-sensitivity-analysis.html">Sensitivity analysis of radiation routine</a><ul>
<li class="toctree-l4"><a class="reference internal" href="notebooks/radiation/radiation-sensitivity-analysis.html#First-we-will-import-all-necessary-content">First we will import all necessary content</a><ul>
<li class="toctree-l5"><a class="reference internal" href="notebooks/radiation/radiation-sensitivity-analysis.html#Informaion-about-station">Informaion about station</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/radiation/radiation-sensitivity-analysis.html#Temperature-dependency">Temperature dependency</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/radiation/radiation-sensitivity-analysis.html#Slope-dependency">Slope dependency</a></li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/radiation/radiation-sensitivity-analysis.html#Aspect-dependency">Aspect dependency</a><ul>
<li class="toctree-l5"><a class="reference internal" href="notebooks/radiation/radiation-sensitivity-analysis.html#Latitude-dependency">Latitude dependency</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/radiation/radiation-sensitivity-analysis.html#RHumidity-dependency">RHumidity dependency</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/radiation/radiation-sensitivity-analysis.html#Elevation-dependency">Elevation dependency</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/radiation/radiation-sensitivity-analysis.html#Albedo-dependency">Albedo dependency</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/radiation/radiation-sensitivity-analysis.html#Turbidity-dependency">Turbidity dependency</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/radiation/radiation-sensitivity-analysis.html#Time-step-verification-of-algorithm">Time-step verification of algorithm</a></li>
<li class="toctree-l5"><a class="reference internal" href="notebooks/radiation/radiation-sensitivity-analysis.html#Random-inputs">Random inputs</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="notebooks/radiation/radiation_camelsdata.html">This notebook demonstarates the radiation algorithm on the camels data:</a><ul>
<li class="toctree-l4"><a class="reference internal" href="notebooks/radiation/radiation_camelsdata.html#Importing-all-necessary-classes">Importing all necessary classes</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/radiation/radiation_camelsdata.html#Here-we-can-see-how-the-eq.38-actually-reacts-on-topography-and-other-input-changes.">Here we can see how the eq.38 actually reacts on topography and other input changes.</a></li>
<li class="toctree-l4"><a class="reference internal" href="notebooks/radiation/radiation_camelsdata.html#The-rest-shows-very-minor-impact-on-the-translated-radiation,">The rest shows very minor impact on the translated radiation,</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/api.html">API Documentation</a></li>
</ul>
</div>
<div class="toctree-wrapper compound">
<p class="caption"><span class="caption-text">Energy Market</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/concepts.html">Concepts</a><ul>
<li class="toctree-l2"><a class="reference internal" href="content/energy_market/concepts.html#what-is-an-energy-market">What is an energy market?</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/api.html">API Documentation</a><ul>
<li class="toctree-l2"><a class="reference internal" href="content/energy_market/api.html#module-shyft.energy_market.core">Core</a></li>
<li class="toctree-l2"><a class="reference internal" href="content/energy_market/api.html#module-shyft.energy_market.ltm">LTM</a></li>
<li class="toctree-l2"><a class="reference internal" href="content/energy_market/api.html#module-shyft.energy_market.stm">STM</a></li>
<li class="toctree-l2"><a class="reference internal" href="content/energy_market/api.html#module-shyft.energy_market.service">Service</a></li>
<li class="toctree-l2"><a class="reference internal" href="content/energy_market/api.html#ui">UI</a></li>
</ul>
</li>
</ul>
</div>
<div class="toctree-wrapper compound">
<p class="caption"><span class="caption-text">Dashboard</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/concepts.html">Concepts</a><ul>
<li class="toctree-l2"><a class="reference internal" href="content/dashboard/concepts.html#what-is-a-dashboard">What is a dashboard?</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/getting_started.html">Getting started</a><ul>
<li class="toctree-l2"><a class="reference internal" href="content/dashboard/getting_started.html#prerequisites">Prerequisites</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/api.html">API Documentation</a><ul>
<li class="toctree-l2"><a class="reference internal" href="content/dashboard/api.html#module-shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions">DTSC helper functions</a></li>
<li class="toctree-l2"><a class="reference internal" href="content/dashboard/api.html#module-shyft.dashboard.apps.dtss_viewer.dtss_viewer_app">DTSS viewer app</a></li>
<li class="toctree-l2"><a class="reference internal" href="content/dashboard/api.html#module-shyft.dashboard.apps.dtss_viewer.widgets">Widgets</a></li>
<li class="toctree-l2"><a class="reference internal" href="content/dashboard/api.html#start-bokeh-apps">Start bokeh apps</a></li>
</ul>
</li>
</ul>
</div>
<div class="section" id="indices-and-tables">
<h2>Indices and tables<a class="headerlink" href="#indices-and-tables" title="Permalink to this headline">¶</a></h2>
<ul class="simple">
<li><p><a class="reference internal" href="genindex.html"><span class="std std-ref">Index</span></a></p></li>
<li><p><a class="reference internal" href="py-modindex.html"><span class="std std-ref">Module Index</span></a></p></li>
<li><p><a class="reference internal" href="search.html"><span class="std std-ref">Search Page</span></a></p></li>
</ul>
</div>
</div>


           </div>
           
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="content/project/what_is_shyft.html" class="btn btn-neutral float-right" title="What is Shyft?" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2021, The Shyft project

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>